const assert = require('assert');
const PDF = require('..');
const fs = require('fs');

// Only run tests if the environment variable is set
if (process.env.RUN_PDF_TESTS) {
  // to test another valid pdf file just change this 5 constants.
  const PDF_FILE = './test/data/05-versions-space.pdf';
  const VERSION = 'default';
  const PDF_PAGE_COUNT = 1;
  const FIST_PAGE_TEXT = 'Dadfrtfjh,mgf';
  const LAST_PAGE_TEXT = 'v.0.01';

  describe(`File:${PDF_FILE} PDF.js Version:${VERSION}`, function() {
    this.timeout(20000);
    let dataBuffer;

    before(function() {
      // Check if the file exists before trying to read it
      if (fs.existsSync(PDF_FILE)) {
        dataBuffer = fs.readFileSync(PDF_FILE);
      } else {
        console.warn(`Test file ${PDF_FILE} not found. Skipping tests.`);
        this.skip();
      }
    });

    // ... (rest of your test cases)
  });
} else {
  describe('PDF Parse Tests', function() {
    it('are skipped in production', function() {
      console.log('PDF Parse tests are skipped. Set RUN_PDF_TESTS environment variable to run them.');
    });
  });
}